/*
 * 
 * Created on May 18, 2003
 * @author 
 */
package org.enhydra.dods.cache;

import com.lutris.appserver.server.sql.DatabaseManagerException;
import com.lutris.dods.builder.generator.dataobject.GenericDO;

/**
 * DOShell class maintains data for result (data objects and data handles).	
 */
public class DOShell {
    
    /**
     * Data object's handle.
     */
    public String handle;
    
    /**
     * Data object.
     */
    public GenericDO dataObject;
    
    
    
    /**
     * Constructor(handle).
     */
    public DOShell(String handle) {
        this.handle = handle;
    }
    
    /**
     * Constructor(GenericDO).
     */
    public DOShell(GenericDO object) {
        try {
            this.handle = object.getHandle();
            this.dataObject = object;
        } catch (DatabaseManagerException e) {
                
        }
    }

}
