/**
 * Title:        WebDocWf StateTransitionException<p>
 * Description:  StateTransitionException is thrown if a state transition is not allowed<p>
 * Copyright:    Copyright (c) Together Teamlsungen EDV-Dienstleistungen GmbH. under LGPL<p>
 * Company:      Together Teamlsungen EDV-Dienstleistungen GmbH.<p>
 * @author Alfred Madl (a.madl@together.at)
 * @version 1.0
 */

package org.webdocwf.util.genericstore;

public class StateTransitionException extends Exception {

    /**
     * Construct an exception with a specified message.
     *
     * @param msg The message associated with the exception.
     */
    public StateTransitionException(String msg) {
        super(msg);
    }
}
