Summary: DODS - Enhydra application framework
Name: dods
Version: 5.1
Release: beta8
Copyright: GPL
Group: Development/System
URL: http://enhydra.enhydra.org
Prefix: /usr/local
Requires: rpm > 4.0.2
AutoReqProv: no
Buildroot: /tmp/dods

#
# These two lines are used in a relocatable version:
Prefix: /usr/local
Requires: rpm > 4.0.2

%description
DODS - Enhydra application framework
Data Objects Design Studio uses "doml" file to create SQL statement files,
generates Java source code (which access DBs something like JDO), makes docs, etc.

%prep
            
%build

%install
    rm -fr %buildroot/%prefix/%name
    mkdir -p %buildroot/%prefix
    (cd /&&tar c %prefix/%name)|(cd %buildroot&&tar xv)

%pre
    rm -rf /usr/local/dods

%post
    RPM_INSTALL_PREFIX=${RPM_INSTALL_PREFIX:=/usr/local}
    if 
        [ -f $RPM_INSTALL_PREFIX/build.properties.rpmorig ]
    then
        conf_file=$RPM_INSTALL_PREFIX/build.properties.rpmorig
        default_jdk=$(grep "jdk.dir=" $conf_file)
        default_jdk=$(echo $default_jdk | sed 's/^jdk.dir=//')
    fi
    default_jdk=${default_jdk:=/usr/java/j2sdk1.4.0_01}
    while
        echo -e "\n\nPlease enter path to your "\
            "Java Development Kit - JDK directory [$default_jdk] \c"
        read jdkdir </dev/tty
        jdkdir=${jdkdir:=$default_jdk}
        [ ! -d $jdkdir ]
    do
        echo "Warning: No such directory: $jdkdir"
    done
    cd $RPM_INSTALL_PREFIX/dods
    echo "jdk.dir=$jdkdir" >build.properties
    PATH=$jdkdir/bin:$PATH
    export PATH
    chmod +x bin/ant
    if
        [ -x bin/ant ]
    then
        ./bin/ant configure
    fi

%files 
%defattr(-,root,root)
%prefix/dods
