/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 * $Id: InvalidDomlException.java,v 1.2 2003/05/19 16:37:00 wiznogood Exp $
 */

/*
 *
 * @author    Nenad Vico
 * @since     LBS1.8
 * @version   $Revision: 1.2 $
 *
 */
package org.enhydra.dods.trans;

/**
 * Exception InvalidDomlException is thrown when doml file is not correct.
 */
public class InvalidDomlException extends Exception {
    
    /**
     * Constructor.
     */
    public InvalidDomlException() {
        new Exception("Invalid doml file");
    }

    /**
     * Constructor ( String ).
     *
     * @param message Message of Exception.
     */
    public InvalidDomlException(String message) {
        new Exception(message);
        System.out.println(message);
    }
}